using System;
using System.Collections.Generic;
using System.Text;
using LeMangeurDEnfants.Core.Scenes;
using Microsoft.Xna.Framework;
using MonoGame.FourEngine;

namespace LeMangeurDEnfants.Core.Entities
{
    public class IndicatorPistol : BaseObject
    {
        public override string FileName => Resources.Sprites.Pistol;
        public override Point Size => new Point(16, 13);

        public IndicatorPistol()
        {
            SpriteComponent.Frame = new Point(0, 1);
        }

        public override void OnUpdate(UpdateEventArgs args)
        {
            base.OnUpdate(args);
            if (Scene is GameScene gameScene && gameScene.BigBoss != null)
            {
                Visibility = gameScene.BigBoss.HasPistol;
            }
        }
    }
}
